GETPID(2)

NAME
getpid, getppid - get process identification

SYNOPSIS
pid = getpid()
int pid;

ppid = getppid()
int ppid;

DESCRIPTION
Getpid returns the process ID of the current process. Most often it is used to generate uniquely-named temporary files.

Getppid returns the process ID of the parent of the current process.

SEE ALSO
gethostid(2)